Subject: RE: [Enum] Re: Update of Carrier ENUM requirements I-D

From: "Pfautz, Penn L, NEO" <[email-masked]>
Date: Thu, 1 Dec 2005 10:52:52 -0500

Tom:
I can include a statement that COR=registrant in the next draft. I agree that it's useful to be explicit here. In the same spirit, I see most of the requirements as useful to state even where they might logically be inferred from end user ENUM.

I do see a use for a properly restricted IRIS capability but obviously the IETF can't dictate to anyone except in matter of protocol capabilities. I believe other service providers would also like to see this particular capability.

Penn

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of McGarry, Tom
Sent: Thursday, December 01, 2005 10:24 AM
To: [email-masked]
Subject: RE: [Enum] Re: Update of Carrier ENUM requirements I-D

The definition of carrier (or infrastructure) ENUM is - the carrier of record (as defined here) is the registrant.  This is as opposed to end user ENUM where - the end user is the registrant.  This is important because it defines "who" chooses to register the TN in Tier 1.  

I don't believe either of the carrier ENUM documents have made this point explicitly.  Of course one of the problems is that end user ENUM has never been defined.  

The definitions of the two types of ENUM is as simple as that.  

In addition, most of the requirements listed in Section 2 of draft-lind-infrastructure-enum-reqs-01 would not be unique to carrier ENUM, e.g., privacy, high reliability and performance, choice, support for open numbering plans, etc.  Also, most of the requirements seem to be very local (country specific) in nature.  Do the existing ENUM Tier 1s provide IRIS?  If not, should they be excluded from providing carrier ENUM (if it were to come around)?  Is that really something we should be dictating to countries?  

In the case of carrier ENUM definitions and requirements, I believe less is more.  

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On Behalf Of
Stastny Richard
Sent: Thursday, December 01, 2005 8:01 AM
To: Patrik Fältström; [email-masked]
Cc: [email-masked]
Subject: RE: [Enum] Re: Update of Carrier ENUM requirements I-D

Agreed,

but the Carrier-of-Record in Infrastructure ENUM is the pendant
to the End-user in User ENUM.

I propose to leave the term Carrier-of-Record

Reading the meeting minutes, it was agreed to move the
definitions in the Haberler draft over to the requirements draft

I copy here the relevant part:

<snip>

2.  The Carrier of Record

   In User ENUM, the entity or person having the right-to-use in a
   number has the sole discretion about the content of the associated
   domain and thus the zone content.

   Within a Carrier ENUM namespace, we use the term "carrier of record"
   for the entity having that discretion.  This right typically lies
   with a service provider authorized to issue E.164 numbers for the
   provisioning of PSTN service under the authority of a National
   Regulatory Authority (NRA), but generally exhibits one or more of the
   following properties:

   o  it has been assigned one or more national number ranges by an NRA.
   o  it has been assigned a number range directly by the ITU, for
      instance a code under "International Networks" (+882) or
      "Universal Personal Telecommunications (UPT)" (+878).
   o  it can be the recipient of a number porting operation.
   o  it provides a PSTN point-of-interconnect for the number.

</snip>

Since it was also mentioned on the list that the term PSTN was
too narrow, I propose to replace the term PSTN with 
Public Available Telephony Service

So the sentence will read:
   This right typically lies
   with a service provider authorized to issue E.164 numbers for the
   provisioning of a Publicly Available Telephony Service under the  
   authority of a National Regulatory Authority (NRA), ...

This sentence includes BTW also the term "service provider" ;-)

Regards
Richard

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of
> Patrik Fältström
> Sent: Thursday, December 01, 2005 8:13 AM
> To: [email-masked]
> Cc: [email-masked]
> Subject: Re: [Enum] Re: Update of Carrier ENUM requirements I-D
> 
> Be careful...
> 
> When running DNS, we have one party that is responsible for the DNS
> service that make DNS records available. We might have a different
> organization that is deciding what the records are. And then a third
> party responsible for the service the record refer to. And of course
> a fourth that is administrative responsible for the domain name itself.
> 
> Example:
> 
>   Organization A is the registrant for example.com.
> 
>   Organization B is asked to administer the example.com zone (do the
> provisioning).
> 
>   Organization C is running the DNS that holds the example.com zone.
> 
>   Organization D is running the mailserver MX record for example.com
> refer to.
> 
> If you are curious of difference between B and C, think of the root
> zone where ICANN decide what the content of the root zone is, and the
> root server operators as a collective is making the zone available.
> 
> 
> What term you use doesn't matter. The important thing is that you in
> a terminology section is extremely explicit with what you talk about.
> 
>      paf
> 
> On 30 nov 2005, at 22.47, Tim Dwight wrote:
> 
> > I'm not sure that I agree with changing "carrier of record" to
> > "service
> > provider of record".  Depends on what the latter means I suppose.
> > If (as
> > seems intuitive) "service provider" means "the entity that the
> > customer
> > perceives as providing the service", and "carrier of record" means
> > "the
> > entity providing PSTN access for calls to or from the customer",
> > then is a
> > "service provider of record" an entity that does both?  And is that
> > the
> > appropriate semantic?
> >
> > At the risk of inviting flames I'd say that "carrier of record" is the
> > appropriate term and the Telco-bashing that seems to motivate this
> > change,
> > is juvenile.
> >
> > Tim
> >
> >
> > -----Original Message-----
> > From: [email-masked] [mailto:[email-masked]] On
> > Behalf Of
> > Richard Shockey
> > Sent: Wednesday, November 30, 2005 3:31 PM
> > To: Pfautz, Penn L, NEO
> > Cc: [email-masked]
> > Subject: [Enum] Re: Update of Carrier ENUM requirements I-D
> >
> > Pfautz, Penn L, NEO wrote:
> >>  Having looked over the Vancouver minutes of the WG I want to ask
> >> if I
> >> should replace "carrier ENUM" with "infrastructure ENUM" before
> >> resubmitting draft-lind-infrastructure-enum-reqs-01 as
> >> draft-ietf-enum-infrastructure-enum-reqs-00.
> >
> > Yes .. it seemed to be the consensus of the WG that the word
> > carrier seems
> > to be associated with some form of disease.
> >
> >
> >> If so, I would also propose to render "carrier of record" as "service
> >> provider of record" going forward.
> >
> > excellent idea.
> >
> >>
> >> Your views?
> >>
> >> Thanks,
> >> Penn
> >
> > --
> >
> >
> >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
> > Richard Shockey, Director - Member of Technical Staff
> > NeuStar Inc.
> > 46000 Center Oak Plaza  -   Sterling, VA  20166
> > sip:rshockey(at)iptel.org   sip:57141(at)fwd.pulver.com
> > ENUM +87810-13313-31331
> > PSTN Office +1 571.434.5651 PSTN Mobile +1 703.593.2683
> > Fax: +1 815.333.1237
> > <mailto:richard(at)shockey.us> or
> > <mailto:richard.shockey(at)neustar.biz>
> > <http://www.neustar.biz> ; <http://www.enum.org>
> > <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
> >
> > _______________________________________________
> > enum mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/enum
> >
> >
> > _______________________________________________
> > enum mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/enum
> 
> _______________________________________________
> enum mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/enum

_______________________________________________
enum mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/enum

_______________________________________________
enum mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/enum

_______________________________________________
enum mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/enum

---

From: lconroy <[email-masked]>
Date: Thu, 1 Dec 2005 16:15:04 +0000

Hi Penn, Tom, folks,
  Less is undoubtedly more - anything not needed is superfluous.
Also, why are we trying to specify anything that is going to be  
ignored (or, more specifically, can safely be ignored)?

Re. IRIS:
If COR/SPoR/... is the Registrant, and as Patrik points out, there  
can be many different organisations involved, what exactly does IRIR  
bring to the party? It won't have ANY information on the end user who  
is provided service via this number - he or she is not the registrant.

Perhaps someone should spell out exactly WHAT one might use IRIS to  
provide, and leave it up to the Infrastructure people using an  
implementation of this system to decide if they need this.

My feeling is that some will, some won't, and (allegedly :) some will  
want to include this just to b*gg*r up any players who don't support  
it already (or use some other means of providing the same information  
to their peers).

all the best,
   Lawrence

On 1 Dec 2005, at 15:52, Pfautz, Penn L, NEO wrote:
> Tom:
> I can include a statement that COR=registrant in the next draft. I  
> agree that it's useful to be explicit here. In the same spirit, I  
> see most of the requirements as useful to state even where they  
> might logically be inferred from end user ENUM.
>
> I do see a use for a properly restricted IRIS capability but  
> obviously the IETF can't dictate to anyone except in matter of  
> protocol capabilities. I believe other service providers would also  
> like to see this particular capability.
>
> Penn
>
> Behalf Of McGarry, Tom
> The definition of carrier (or infrastructure) ENUM is - the carrier  
> of record (as defined here) is the registrant.  This is as opposed  
> to end user ENUM where - the end user is the registrant.  This is  
> important because it defines "who" chooses to register the TN in  
> Tier 1.
>
> I don't believe either of the carrier ENUM documents have made this  
> point explicitly.  Of course one of the problems is that end user  
> ENUM has never been defined.
>
> In addition, most of the requirements listed in Section 2 of draft- 
> lind-infrastructure-enum-reqs-01 would not be unique to carrier  
> ENUM, e.g., privacy, high reliability and performance, choice,  
> support for open numbering plans, etc.  Also, most of the  
> requirements seem to be very local (country specific) in nature.   
> Do the existing ENUM Tier 1s provide IRIS?  If not, should they be  
> excluded from providing carrier ENUM (if it were to come around)?   
> Is that really something we should be dictating to countries?
>

---

From: Richard Shockey <[email-masked]>
Date: Thu, 01 Dec 2005 11:33:05 -0500

lconroy wrote:
> Also, why are we trying to specify anything that is going to be  ignored 
> (or, more specifically, can safely be ignored)?
> 
> Re. IRIS:
> If COR/SPoR/... is the Registrant, and as Patrik points out, there  can 
> be many different organisations involved, what exactly does IRIR  bring 
> to the party? It won't have ANY information on the end user who  is 
> provided service via this number - he or she is not the registrant.

maybe maybe not ..it depends on what the local requirements are.... and 
there are lots of LEA's and NRA's these days with lots of requiremnts.

Its principal function, in theory, provide contact data on the network 
operators responsible for that TN. In DNS registration terms terms that 
is classic stuff. It answers questions about who is responsible for a 
domain.

Say 'm trying to get a call through it doesnt work who .. is the nitwit 
running their proxies SBC's or DNS infrastructure so you can tell them 
ot fix it.

> My feeling is that some will, some won't, 

It would be almost foolish to run a Infrastructure ENUM system without 
an IRIS service associated with it. You cant maintain the integrity of 
the network without it.

and (allegedly :) some will
> want to include this just to b*gg*r up any players who don't support  it 
> already (or use some other means of providing the same information  to 
> their peers).
> 
> all the best,
>   Lawrence
> 
>> agree that it's useful to be explicit here. In the same spirit, I  see 
>> most of the requirements as useful to state even where they  might 
>> logically be inferred from end user ENUM.
>>
>> of record (as defined here) is the registrant.  This is as opposed  to 
>> end user ENUM where - the end user is the registrant.  This is  
>> important because it defines "who" chooses to register the TN in  Tier 1.
>>
>> lind-infrastructure-enum-reqs-01 would not be unique to carrier  ENUM, 
>> e.g., privacy, high reliability and performance, choice,  support for 
>> open numbering plans, etc.  Also, most of the  requirements seem to be 
>> very local (country specific) in nature.   Do the existing ENUM Tier 
>> 1s provide IRIS?  If not, should they be  excluded from providing 
>> carrier ENUM (if it were to come around)?   Is that really something 
>> we should be dictating to countries?
>>

--

---

From: lconroy <[email-masked]>
Date: Thu, 1 Dec 2005 18:57:16 +0000

Hi again Richard, Penn, Tom, folks,
Yup - an NRA/LEA *may* have many interesting and arcane requirements.
Other NRAs may want nothing to do with this, leaving
it up to the Carriers/SPs to do their own thing.

There are a number of possible architectural models:
- a Centralised system (with or without governmental oversight)
   is one solution, but not the only one.
I hope that the requirements will reflect more than one approach.

If the particular solution involves delegation, then you get
some help from the SOA record. It depends on who you want to contact,
and what you want them to fix (see Patrik's excellent earlier mail in
this thread for some of the potential nitwits you may need to call).

I am still not clear if IRIS is always needed to maintain network  
integrity,
and hope that someone can spell out WHY this is the case in the  
document.
(i.e. what needs to be done, and how IRIS [or whatever] can do this)

all the best,
   Lawrence

On 1 Dec 2005, at 16:33, Richard Shockey wrote (and I corrected):
>> If COR/SPoR/... is the Registrant, and as Patrik points out,  
>> there  can be many different organisations involved, what exactly  
>> does IRIR  bring to the party? It won't have ANY information on  
>> the end user who  is provided service via this number - he or she  
>> is not the registrant.
> maybe maybe not ..it depends on what the local requirements are....  
> and there are lots of LEAs and NRAs these days with lots of  
> requiremnts.
>
> Its principal function, in theory, provide contact data on the  
> network operators responsible for that TN. In DNS registration  
> terms terms that is classic stuff. It answers questions about who  
> is responsible for a domain.
>
> Say I'm trying to get a call through it doesnt work who .. is the  
> nitwit running their proxies SBC's or DNS infrastructure so you can  
> tell them to fix it.
>
>> Perhaps someone should spell out exactly WHAT one might use IRIS  
>> to  provide, and leave it up to the Infrastructure people using  
>> an  implementation of this system to decide if they need this.
> It would be almost foolish to run a Infrastructure ENUM system  
> without an IRIS service associated with it. You cant maintain the  
> integrity of the network without it.
>
> and (allegedly :) some will want to include this just to b*gg*r up  
> any players who don't support  it already (or use some other means  
> of providing the same information  to their peers).
>> all the best,
>>   Lawrence
>>> I can include a statement that COR=registrant in the next draft.  
>>> I  agree that it's useful to be explicit here. In the same  
>>> spirit, I  see most of the requirements as useful to state even  
>>> where they  might logically be inferred from end user ENUM.
>>>
>>> protocol capabilities. I believe other service providers would  
>>> also  like to see this particular capability.
>>>
>>> Penn
>>>
>>> The definition of carrier (or infrastructure) ENUM is - the  
>>> carrier  of record (as defined here) is the registrant.  This is  
>>> as opposed  to end user ENUM where - the end user is the  
>>> registrant.  This is  important because it defines "who" chooses  
>>> to register the TN in  Tier 1.
>>>
>>> I don't believe either of the carrier ENUM documents have made  
>>> this  point explicitly.  Of course one of the problems is that  
>>> end user  ENUM has never been defined.
>>>
>>> In addition, most of the requirements listed in Section 2 of  
>>> draft- lind-infrastructure-enum-reqs-01 would not be unique to  
>>> carrier  ENUM, e.g., privacy, high reliability and performance,  
>>> choice,  support for open numbering plans, etc.  Also, most of  
>>> the  requirements seem to be very local (country specific) in  
>>> nature.   Do the existing ENUM Tier 1s provide IRIS?  If not,  
>>> should they be  excluded from providing carrier ENUM (if it were  
>>> to come around)?   Is that really something we should be  
>>> dictating to countries?
>>>